KHTMLView class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KHTMLView Class Reference

Renders and displays HTML in a QScrollView. More...

`#include <khtmlview.h>`

Inheritance diagram for KHTMLView:

[legend]
Collaboration diagram for KHTMLView:

[legend]
List of all members.

## Signals
void | cleared ()
void | zoomView (int)
## Public Member Functions
| KHTMLView (KHTMLPart *part, QWidget *parent, const char *name=0)
| Constructs a KHTMLView.
KHTMLPart * | part () const
| Returns a pointer to the KHTMLPart that is rendering the page.
int | frameWidth () const
void | setMarginWidth (int x)
| Sets a margin in x direction.
int | marginWidth () const
| Returns the margin width.
void | setMarginHeight (int y)
int | marginHeight ()
| Returns the margin height.
virtual void | setVScrollBarMode (ScrollBarMode mode)
| Sets verticals scrollbar mode.
virtual void | setHScrollBarMode (ScrollBarMode mode)
| Sets horizontal scrollbar mode.
void | print ()
| Prints the HTML document.
void | layout ()
| ensure the display is up to date
## Protected Slots
void | slotPaletteChanged ()
void | slotScrollBarMoved ()
## Protected Member Functions
void | clear ()
virtual void | resizeEvent (QResizeEvent *event)
virtual void | showEvent (QShowEvent *)
virtual void | hideEvent (QHideEvent *)
virtual bool | focusNextPrevChild (bool next)
virtual void | drawContents (QPainter *p, int clipx, int clipy, int clipw, int cliph)
virtual void | drawContents (QPainter *)
virtual void | viewportMousePressEvent (QMouseEvent *)
virtual void | focusOutEvent (QFocusEvent *)
virtual void | viewportMouseDoubleClickEvent (QMouseEvent *)
virtual void | viewportMouseMoveEvent (QMouseEvent *)
virtual void | viewportMouseReleaseEvent (QMouseEvent *)
virtual void | viewportResizeEvent (QResizeEvent *)
virtual void | viewportWheelEvent (QWheelEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | closeEvent (QCloseEvent *)
void | keyPressEvent (QKeyEvent *_ke)
void | keyReleaseEvent (QKeyEvent *_ke)
void | contentsContextMenuEvent (QContextMenuEvent *_ce)
void | doAutoScroll ()
void | timerEvent (QTimerEvent *)
## Friends
class | DOM::HTMLTitleElementImpl
class | DOM::HTMLGenericFormElementImpl
class | DOM::HTMLFormElementImpl
class | DOM::HTMLAnchorElementImpl
class | DOM::DocumentImpl
class | KHTMLPart
class | khtml::RenderRoot
class | khtml::RenderObject
class | khtml::RenderLineEdit
class | khtml::RenderPartObject
class | khtml::RenderWidget
class | khtml::CSSStyleSelector
class | KJS::WindowFunc
void | khtml::applyRule (DOM::CSSProperty *prop)

## Detailed Description

Renders and displays HTML in a QScrollView.

Suitable for use as an application's main view.

Definition at line 71 of file khtmlview.h.

## Constructor & Destructor Documentation

KHTMLView::KHTMLView | ( | KHTMLPart * | part,
|  | QWidget * | parent,
|  | const char * | name = 0
| ) |

| Constructs a KHTMLView. Definition at line 255 of file khtmlview.cpp. References QScrollView::contentsMoving(), QScrollView::enableClipper(), KStdAccel::name(), KImageIO::registerFormats(), QScrollView::setHScrollBarMode(), QScrollView::setResizePolicy(), QScrollView::setVScrollBarMode(), and QScrollView::viewport().

## Member Function Documentation

KHTMLPart* KHTMLView::part | ( |  | ) | const`[inline]`

| Returns a pointer to the KHTMLPart that is rendering the page. Definition at line 103 of file khtmlview.h. Referenced by khtml::CSSStyleSelector::CSSStyleSelector().

void KHTMLView::setMarginWidth | ( | int | x | ) |

| Sets a margin in x direction. Definition at line 417 of file khtmlview.cpp.

int KHTMLView::marginWidth | ( |  | ) | const`[inline]`

| Returns the margin width. A return value of -1 means the default value will be used. Definition at line 117 of file khtmlview.h.

int KHTMLView::marginHeight | ( |  | ) | `[inline]`

| Returns the margin height. A return value of -1 means the default value will be used. Definition at line 129 of file khtmlview.h.

void KHTMLView::setVScrollBarMode | ( | ScrollBarMode | mode | ) | `[virtual]`

| Sets verticals scrollbar mode. Reimplemented for internal reasons. Reimplemented from QScrollView. Definition at line 1375 of file khtmlview.cpp. References QScrollView::setVScrollBarMode().

void KHTMLView::setHScrollBarMode | ( | ScrollBarMode | mode | ) | `[virtual]`

| Sets horizontal scrollbar mode. Reimplemented for internal reasons. Reimplemented from QScrollView. Definition at line 1385 of file khtmlview.cpp. References QScrollView::setHScrollBarMode().

void KHTMLView::print | ( |  | ) |

| Prints the HTML document. Definition at line 1157 of file khtmlview.cpp. References QString::arg(), QPainter::begin(), QPainter::boundingRect(), KStringHandler::csqueeze(), QDate::currentDate(), QPainter::drawText(), QPainter::end(), QPainter::fontMetrics(), KLocale::formatDate(), QPaintDeviceMetrics::height(), QString::isEmpty(), KGlobal::locale(), QPainter::resetXForm(), QPainter::scale(), QPainter::setClipRect(), QPainter::setFont(), QPainter::setPen(), QPainter::translate(), QScrollView::viewport(), QPaintDeviceMetrics::width(), KHTMLPart::xmlDocImpl(), and KHTMLPart::zoomFactor().

void KHTMLView::layout | ( |  | ) |

| ensure the display is up to date Definition at line 429 of file khtmlview.cpp. References QScrollView::setHScrollBarMode(), QScrollView::setVScrollBarMode(), QScrollView::visibleHeight(), QScrollView::visibleWidth(), and KHTMLPart::xmlDocImpl().

The documentation for this class was generated from the following files:

- khtmlview.h
- khtmlview.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001